<?php

namespace Drupal\trinion_base\Access;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Routing\Access\AccessInterface;
use Drupal\node\Entity\Node;
use Drupal\user\Entity\User;
use Symfony\Component\Routing\Route;

/**
 * Check access to inline change field
 */
class InlineChangeFieldChecker implements AccessInterface {

  /**
   * Access callback.
   */
  public function access(Route $route, Node $node) {
    $user = User::load(\Drupal::currentUser()->id());
    return AccessResult::allowedIf($node->access('view', $user));
  }
}
